Subject: bug#4895: 23.1; Incorrect font selected

From: Juri Linkov <[email-masked]>
Date: Wed, 11 Nov 2009 12:45:09 +0200

>> Thanks for the explanation. Do you think it's still valid not to
>> prefer unicode fonts to fonts with specific registries? I believe the
>> unicode is dominating by now, at least for european languages.
>
> I'm not sure.  At least, a while ago, bitmap fonts of legacy
> registries (e.g. iso8859-X, koi8, etc) are better than
> unicode bitmap fonts.  I think using cp1251 fonts for
> cp1251-encoded file is a good default even now.  First of
> all, if unicode is dominating by now, the chance of reading
> cp1251 files should be rare.

Unfortunately, cp1251 is still common in the documents created on
Windows.  Opening such documents in Emacs on GNU/Linux often results
in a very ugly look, especially when cp1251 text is surrounded
by Latin or Unicode characters.  Unicode fonts are well developed and 
maintained unlike legacy cp1251 fonts that are less relevant nowadays.

Please see in the attached screenshot from part of etc/HELLO
how ugly it looks with default cp1251 and koi8-r fonts
when other text uses Unicode fonts:

IIUC other applications allow font configuration based on a language
or a script that is more important for the user than a technical detail
like a charset.  And they use the same Unicode font by default.

-- 
Juri Linkov
http://www.jurta.org/emacs/